import { Relationship } from './relationship';
/**
 * List of includes of the filter-segment.
 */
export interface Include {
    /**
     * Data will be filtered by this value. Field names must only contain letters, numbers and underscores, otherwise they need to be escaped using quotes(`).
     */
    filter: string;
    /**
     * The data object that the filter will be applied to. Use '_all_data_object' to apply it to all dataObjects.
     */
    dataObject: string;
    /**
     * [Experimental] The tables that the entity-filter will be applied to.
     */
    applyTo?: string[];
    /**
     * [Experimental] The relationship of an include which has to be be specified when the data object is an entity view.
     */
    relationship?: Relationship;
}
