import { FilterSegmentVariables } from './filter-segment-variables';
/**
 * List of filter-segments.
 */
export interface LeanFilterSegment {
    /**
     * Unique identifier of the filter-segment.
     */
    uid: string;
    /**
     * Name of the filter-segment.
     */
    name: string;
    /**
     * Variables of the filter-segment.
     */
    variables?: FilterSegmentVariables;
    /**
     * Defines the owner of the filter-segment.
     */
    owner?: string;
    /**
     * Indicates if the filter-segment is publicly accessible within the tenant.
     */
    isPublic?: boolean;
    /**
     * Defines the allowed operations of the current user.
     */
    allowedOperations?: Array<'READ' | 'WRITE' | 'DELETE' | 'SHARE'>;
    /**
     * Optional unique identifier of the filter-segment. Used for Dynatrace Configuration as Code
     */
    externalId?: string;
}
