import { FilterSegmentVariables } from './filter-segment-variables';
import { NewInclude } from './new-include';
export interface UpdateFilterSegment {
    /**
     * Unique identifier of the filter-segment.
     */
    uid: string;
    /**
     * Name of the filter-segment.
     */
    name: string;
    /**
     * Description of the filter-segment.
     */
    description?: string;
    /**
     * Variables of the filter-segment.
     */
    variables?: FilterSegmentVariables;
    /**
     * Indicates if the filter-segment is publicly accessible within the tenant.
     */
    isPublic: boolean;
    /**
     * Defines the owner of the filter-segment.
     */
    owner: string;
    /**
     * List of includes of the filter-segment.
     */
    includes?: NewInclude[];
    /**
     * Optional unique identifier of the filter-segment. Used for Dynatrace Configuration as Code
     */
    externalId?: string;
}
